Bug 138044 - Entering hex WEP key doesn't work with my setup, and when it does, it doesn't get remembered
Summary: Entering hex WEP key doesn't work with my setup, and when it does, it doesn't...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-04 02:53 UTC by Jason 'vanRijn' Kasper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 22:33:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason 'vanRijn' Kasper 2004-11-04 02:53:49 UTC
Description of problem:
NetworkManager doesn't ask a non-root user for a WEP key, it just shows an error 
message that "this network is not active" or some-such, and doesn't go any further.  Also, 
for root, if it does ask for a WEP key, it will ask for it again next time (this is not remembered 
like it should).


Version-Release number of selected component (if applicable):
NetworkManager-0.3.1-3
kernel-2.6.9-1.649

How reproducible:
every time on my laptop.


Steps to Reproduce:
1. make network service not start at boot
2. make NetworkManager service start at boot
3. reboot
4. log in as root user into gdm
5. start NetworkManagerInfo
6. click on the menu item in NetworkManagerInfo's applet for the SID I want to associate to
7. get prompted for the hex WEP key, even though I've entered it previously
8. reboot
9. log in as non-root user
10. start NetworkManagerInfo
11. click on the menu item in NetworkManagerInfo's applet for the SID I want to associate to
12. am presented with an error message saying "this network is not in range, so another 
network will be used if available"
  
Actual results:
network doesn't work


Expected results:
network should work

Additional info:
I see this in /var/log/messages when I click the menu of the ESSID I want to use:
Forcing device '/org/freedesktop/NetworkManager/Devices/eth1' and network 'XXXXX'
nmwa_dbus_call_nm_method(): org.freedesktop.DBus.Error.NoReply raised:
 Message did not receive a reply

Comment 1 Dan Williams 2005-01-29 21:53:28 UTC
Do newer versions of NetworkManager & NetworkManager-gnome seem to
work better for this problem?

Comment 2 Jason 'vanRijn' Kasper 2005-01-29 22:31:35 UTC
Yes, actually.  =:)  Yay!!  =:)  I'm running these:

NetworkManager-0.3.3-1.cvs20050119.2.fc3
NetworkManager-gnome-0.3.3-1.cvs20050119.2.fc3

And the card asks me for the key, and it remembers it across reboots.

Awesome job!!

Comment 3 Dan Williams 2005-01-29 22:33:04 UTC
Ok, sounds great.  Closing this one out then.


Note You need to log in before you can comment on or make changes to this bug.